> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Order Handling Fee Rule

> Deletes an existing order handling fee rule



## OpenAPI

````yaml /openapi/openapi_shipping_admin.json delete /commerce/shipping/admin/profiles/{profilecode}/rules/orderhandlingfees/{id}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo Shipping Admin Service
  title: Shipping Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/shipping/admin/profiles/{profilecode}/rules/orderhandlingfees/{id}:
    delete:
      tags:
        - ShippingProfile
      summary: Delete Order Handling Fee Rule
      description: Deletes an existing order handling fee rule
      parameters:
        - in: path
          name: profilecode
          required: true
          schema:
            type: string
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShippingAdminHttpResponseMessage'
            text/json:
              schema:
                $ref: '#/components/schemas/ShippingAdminHttpResponseMessage'
            text/plain:
              schema:
                $ref: '#/components/schemas/ShippingAdminHttpResponseMessage'
          description: Success
components:
  schemas:
    ShippingAdminHttpResponseMessage:
      properties:
        content:
          $ref: '#/components/schemas/AppDevHttpContent'
        headers:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
        isSuccessStatusCode:
          readOnly: true
          type: boolean
        reasonPhrase:
          nullable: true
          type: string
        requestMessage:
          $ref: '#/components/schemas/ShippingAdminHttpRequestMessage'
        statusCode:
          $ref: '#/components/schemas/ShippingAdminHttpStatusCode'
        trailingHeaders:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
        version:
          nullable: true
          type: string
      type: object
    AppDevHttpContent:
      properties:
        headers:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
      type: object
    StringStringIEnumerableKeyValuePair:
      properties:
        key:
          nullable: true
          type: string
        value:
          items:
            type: string
          nullable: true
          type: array
      type: object
    ShippingAdminHttpRequestMessage:
      properties:
        content:
          $ref: '#/components/schemas/AppDevHttpContent'
        headers:
          items:
            $ref: '#/components/schemas/StringStringIEnumerableKeyValuePair'
          nullable: true
          readOnly: true
          type: array
        method:
          $ref: '#/components/schemas/HttpMethod'
        options:
          additionalProperties: {}
          nullable: true
          readOnly: true
          type: object
        properties:
          additionalProperties: {}
          deprecated: true
          nullable: true
          readOnly: true
          type: object
        requestUri:
          format: uri
          nullable: true
          type: string
        version:
          nullable: true
          type: string
        versionPolicy:
          $ref: '#/components/schemas/ShippingAdminHttpVersionPolicy'
      type: object
    ShippingAdminHttpStatusCode:
      enum:
        - Continue
        - SwitchingProtocols
        - Processing
        - EarlyHints
        - OK
        - Created
        - Accepted
        - NonAuthoritativeInformation
        - NoContent
        - ResetContent
        - PartialContent
        - MultiStatus
        - AlreadyReported
        - IMUsed
        - MultipleChoices
        - Ambiguous
        - MovedPermanently
        - Moved
        - Found
        - Redirect
        - SeeOther
        - RedirectMethod
        - NotModified
        - UseProxy
        - Unused
        - TemporaryRedirect
        - RedirectKeepVerb
        - PermanentRedirect
        - BadRequest
        - Unauthorized
        - PaymentRequired
        - Forbidden
        - NotFound
        - MethodNotAllowed
        - NotAcceptable
        - ProxyAuthenticationRequired
        - RequestTimeout
        - Conflict
        - Gone
        - LengthRequired
        - PreconditionFailed
        - RequestEntityTooLarge
        - RequestUriTooLong
        - UnsupportedMediaType
        - RequestedRangeNotSatisfiable
        - ExpectationFailed
        - MisdirectedRequest
        - UnprocessableEntity
        - Locked
        - FailedDependency
        - UpgradeRequired
        - PreconditionRequired
        - TooManyRequests
        - RequestHeaderFieldsTooLarge
        - UnavailableForLegalReasons
        - InternalServerError
        - NotImplemented
        - BadGateway
        - ServiceUnavailable
        - GatewayTimeout
        - HttpVersionNotSupported
        - VariantAlsoNegotiates
        - InsufficientStorage
        - LoopDetected
        - NotExtended
        - NetworkAuthenticationRequired
      format: ''
      type: string
    HttpMethod:
      properties:
        method:
          nullable: true
          type: string
      type: object
    ShippingAdminHttpVersionPolicy:
      enum:
        - RequestVersionOrLower
        - RequestVersionOrHigher
        - RequestVersionExact
      format: ''
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````